# Initial calls
import numpy
import scipy
import pylab
import matplotlib
# Read the data files
data = numpy.loadtxt('OII_UVES_2002_south.ascii')
data1 = numpy.loadtxt('OII_UVES_2002_south_lower.ascii')
data2 = numpy.loadtxt('OII_UVES_2002_south_upper.ascii')
data3 = numpy.loadtxt('NII_UVES_2002_south.ascii')
data4 = numpy.loadtxt('NII_UVES_2002_south_lower.ascii')
data5 = numpy.loadtxt('NII_UVES_2002_south_upper.ascii')
data6 = numpy.loadtxt('OIII_UVES_2002_south.ascii')
data7 = numpy.loadtxt('OIII_UVES_2002_south_lower.ascii')
data8 = numpy.loadtxt('OIII_UVES_2002_south_upper.ascii')
data9 = numpy.loadtxt('SII_UVES_2002_south.ascii')
data10 = numpy.loadtxt('SII_UVES_2002_south_lower.ascii')
data11 = numpy.loadtxt('SII_UVES_2002_south_upper.ascii')
# Plot the data files
# [O II] profile red
pylab.plot(data[:,0],data[:,1],linestyle='-',color='r')
pylab.plot(data1[:,0],data1[:,1],linestyle='-',color='r')
pylab.plot(data2[:,0],data2[:,1],linestyle='-',color='r')
# [N II] profile yellow
pylab.plot(data3[:,0],data3[:,1],linestyle='-',color='y')
pylab.plot(data4[:,0],data4[:,1],linestyle='-',color='y')
pylab.plot(data5[:,0],data5[:,1],linestyle='-',color='y')
# [O III] profile purple
pylab.plot(data6[:,0],data6[:,1],linestyle='-',color='m')
pylab.plot(data7[:,0],data7[:,1],linestyle='-',color='m')
pylab.plot(data8[:,0],data8[:,1],linestyle='-',color='m')
# [S II] profile green
pylab.plot(data9[:,0],data9[:,1],linestyle='-',color='g')
pylab.plot(data10[:,0],data10[:,1],linestyle='-',color='g')
pylab.plot(data11[:,0],data11[:,1],linestyle='-',color='g')
# Naming the axes
pylab.xlabel('Electron Density(cm$^{-3}$)')
pylab.ylabel('$Temperature (K)$')
# Setting limits to axes
pylab.xlim(50,5000)
pylab.ylim(20,50000)#+46 8 6681382
pylab.show()
